Other Services
Introduction
Other Services
PHP Manual

# Constant hash database

Table of Contents

- Introduction
- Installing/Configuring
  - Requirements
  - Installation
  - Runtime Configuration
  - Resource Types
- Predefined Constants
- Examples
- chdb — The chdb class
  - chdb::__construct — Creates a chdb instance
  - chdb::get — Gets the value associated with a key
- chdb Functions
  - chdb_create — Creates a chdb file

# The chdb class

## Introduction

Represents a loaded chdb file.

## Class synopsis

chdb
class chdb {
/* Methods */
public __construct ( string `$pathname` )
public string get ( string `$key` )
}